uniform sampler2D texture_map;
uniform sampler2D shadow_map;

varying vec3 normal, lightDir, halfVector;
varying vec4 diffuse, ambient;

void main()
{	
	
	gl_TexCoord[0] = gl_MultiTexCoord0;
	vec4 temp = gl_ModelViewMatrix * gl_Vertex;
	gl_TexCoord[1] = gl_TextureMatrix[1] * temp;
	
	normal = gl_NormalMatrix * gl_Normal;
	lightDir = vec3(gl_LightSource[0].position);
	halfVector = vec3(gl_LightSource[0].halfVector);

	diffuse = gl_FrontMaterial.diffuse * gl_LightSource[0].diffuse;
	ambient = gl_FrontMaterial.ambient * gl_LightSource[0].ambient;
	ambient += gl_LightModel.ambient * gl_FrontMaterial.ambient;

	gl_Position = ftransform();

} 
